Update not possible

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Update not possible

Postby Zweitaktmotor on Thu Dec 06, 2012 3:00 pm

Hi,

While trying to look for the latest updates, I get the following error messages:


E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/packages.linuxmint.com_dists_debian_import_i18n_Translation-en
E: The package lists or status file could not be parsed or opened.
E: _cache->open() failed, please report.

It says "Please report", so here you are. :wink:

Nothing else broken, can live without the updates for now.
Zweitaktmotor
Level 2
Level 2
 
Posts: 53
Joined: Mon Feb 08, 2010 12:12 pm

Linux Mint is funded by ads and donations.
 

Re: Update not possible

Postby xenopeek on Thu Dec 06, 2012 3:13 pm

You can clean these files. Run the command:
Code: Select all
sudo rm -fv /var/lib/apt/lists/*

Then run the following to refresh them:
Code: Select all
sudo apt-get update
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14996
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Update not possible

Postby Zweitaktmotor on Thu Dec 06, 2012 3:46 pm

Many thanks, update went alright now, but still with a few error messages:


Code: Select all
Failed to fetch gzip:/var/lib/apt/lists/partial/mirror.rts-informatique.fr_linuxmint_debian_incoming_dists_testing_contrib_binary-i386_Packages  Hash Sum mismatch
Failed to fetch gzip:/var/lib/apt/lists/partial/mirror.rts-informatique.fr_linuxmint_debian_incoming_dists_testing_non-free_binary-i386_Packages  Hash Sum mismatch
Failed to fetch http://mirror.rts-informatique.fr/linuxmint/debian/incoming/security/dists/testing/updates/main/binary-i386/Packages  404  Not Found [IP: 37.59.37.195 80]
Failed to fetch http://mirror.rts-informatique.fr/linuxmint/debian/incoming/security/dists/testing/updates/contrib/binary-i386/Packages  404  Not Found [IP: 37.59.37.195 80]
Failed to fetch http://mirror.rts-informatique.fr/linuxmint/debian/incoming/security/dists/testing/updates/non-free/binary-i386/Packages  404  Not Found [IP: 37.59.37.195 80]
Some index files failed to download. They have been ignored, or old ones used instead.
Zweitaktmotor
Level 2
Level 2
 
Posts: 53
Joined: Mon Feb 08, 2010 12:12 pm

Re: Update not possible

Postby xenopeek on Thu Dec 06, 2012 4:01 pm

Weird, it is looking for a file called "Packages" but that mirror only has "Packages.gz" and "Packages.bz2". See: http://mirror.rts-informatique.fr/linuxmint/debian/incoming/security/dists/testing/updates/non-free/binary-i386/. I'm not sure if that is incorrect though. The first two errors probably relate to the last three? Because it can't find the index files, it's trying to use the old ones--which my command deleted (with the idea it would refresh them, but now it can't find them on your mirror :|).
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14996
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: Update not possible

Postby Zweitaktmotor on Wed Apr 24, 2013 6:00 am

Ooops. Sorry to have wasted your time.
Zweitaktmotor
Level 2
Level 2
 
Posts: 53
Joined: Mon Feb 08, 2010 12:12 pm


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 6 guests